# Update

## Update QnA

<mark style="color:orange;">`PUT`</mark> `https://{{account_id}}.acquire.io/api/v1/bot/qna/{{id}}`

Update a QnA. The QnA id must be passed in to the endpoint as a path parameter.&#x20;

#### Path Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| id   | integer | QnA ID      |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "success": true,
    "message": "Question Updated Successfully",
    "updatedObject": {
      "id": 3781,
      "type": "suggested",
      "subtype": "user_added",
      "status": "active",
      "language": "en",
      "answerType": "random",
      "actionEnabled": "active",
      "wantFeedback": "active",
      "allowRelatedQue": "active",
      "relatedQueIds": "1",
      "createdBy": 1,
      "updatedBy": 1,
      "dateCreated": "2021-03-18T07:13:02.000Z",
      "dateUpdated": "2021-03-18T07:21:57.746Z",
      "qnaMainQuestions": [
        {
          "id": 5777,
          "question": "Test Question 1"
        },
        {
          "id": 5778,
          "question": "Test Question 2"
        }
      ],
      "qnaMainAnswers": [
        {
          "id": 4599,
          "answer": "Test Answer 122",
          "answerJson": null
        },
        {
          "id": 4600,
          "answer": "Test Answer 222",
          "answerJson": null
        }
      ],
      "qnaGroup": {
        "id": 1,
        "title": "Group Title",
        "description": "Group Description",
        "isDefault": "no",
        "askFeedback": "active",
        "cascadeApplicable": "disabled",
        "createdBy": 1,
        "updatedBy": 1,
        "dateCreated": "2020-05-26T07:56:04.000Z",
        "dateUpdated": "2021-03-17T12:06:37.000Z"
      }
    }
  }
}

```

{% endtab %}
{% endtabs %}

## Body(raw)

```
{
  "type": "suggested",
  "subtype": "user_added",
  "answerType": "random",
  "status": "active",
  "language": "en",
  "actionEnabled": "active",
  "wantFeedback": "active",
  "allowRelatedQue": "active",
  "relatedQueIds": "1",
  "qnaMainQuestions": [
    {
      "question": "Test Question 1"
    },
    {
      "question": "Test Question 2"
    }
  ],
  "qnaMainAnswers": [
    {
      "answer": "Test Answer 122"
    },
    {
      "answer": "Test Answer 222"
    }
  ],
  "qnaMainActions": []
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/chatbot/conversational-bot/question-and-answer/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
